--- title: "Update VLAN/Q-in-Q mapping for a group: Request" slug: "update-vlan-q-in-q-mapping-for-a-group-request" tags: ["Reference", "NDRC 4.x", "Customer", "Network Security", "NDR 4.x"] updated: 2026-09-09T18:07:45Z published: 2026-09-09T18:07:45Z canonical: "docs.trellix.com/update-vlan-q-in-q-mapping-for-a-group-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update VLAN/Q-in-Q mapping for a group: Request To update the VLAN/Q-in-Q mapping for a group, send the following request: `PUT https://<IA_IP_address>:<port_number>/config/v1/rbac/vlan/mappings/<group_alias>` Required header: ``` Cookie: px= Content-Type: application/json ``` > [!NOTE] > Note > > To use this request, your user account must be assigned to the Admin role. Request body: VlanRange example ``` {  "alias":"wheel",  "group":"wheel",  "user":"klish_menu",  "modified":"2019-05-28T06:17:02Z",  "type":"vlan",  "vlanRanges":[    {      "tagStart":1,      "tagEnd":1    },    {      "tagStart":1,      "tagEnd":101    }  ] } ``` QinQ example ``` {  "alias":"qinq1",  "group":"qinq1",  "user":"klish_menu",  "modified":"2019-05-28T03:41:31Z",  "type":"qinq",  "qinqRanges":[    {      "outerTag":103,      "innerTags":[        {          "tagStart":101,          "tagEnd":109        }      ]    }  ] } ``` ### Options - IA_IP_address—The IP address of the NDR appliance running the NDR API. - port_number—The port number of the NDR appliance running the NDR API. - token—This token authenticates the session. By default, the session times out after 24 hours. ### Example ``` PUT https://xxx.xxx.xxx.xxx:443/config/v1/rbac/vlan/mappings/ ``` Required header: ``` Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx ``` ### Update VLAN/Q-in-Q mapping for a group: Response ``` HTTP/1.1 [Response Code] [Response Message] Date: [Date] ``` ###### Response fields - `200`—Mapping was successfully updated ### cURL code sample: Update VLAN/Q-in-Q mapping for a group ``` curl -k --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" -X PUT -H "Content-Type: application/json"https://xxx.xxx.xxx.xxx:443/config/v1/rbac/vlan/mappings/39 -d '{ "alias": "fireeye_iss_team", "group": "CN=Domain Admins,CN=Users,DC=theitbros,DC=com", "user": "npadmin", "type": "vlan", "vlanRanges": [ { "tagStart": 128, "tagEnd": 200 } ] } ' ``` This cURL sample includes the following options: - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate. - `--cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This option specifies the authentication token for this session. - `-X PUT`—Specifies using the PUT method. - `-H "Content-Type: application/json"`—Specifies that the response should be in JSON. - `https://xxx.xxx.xxx.xxx:443/config/v1/rbac/vlan/mappings/_bulk`—The request URL. Replace `xxx.xxx.xxx.xxx` with the IP address of your NDR appliance, and `39` with the group alias. - `-d <data>`—Specifies the new mapping values. ###### Results This example bulk upserts all VLAN/Q-in-Q mappings.